Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025862
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-02-27 18:452014-03-15 16:13
ReportercaristuView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision3cdbbbf58782
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP30.3SCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-07-19
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/7d6d644b9b9e3b9ca55c7be357af7bb86a257263 [^]
Triggers an Emergency PackNo
Summary

0025862: get_computedColumns() method returns null under some circumstances

Descriptionget_computedColumns() method of the generated classes returns null under some circumstances, this causes a null pointer exception in the getName() of the classes related to tables that have computed columns.

For example, the following code throws the exception, when trying to convert the a new instantiated object into JSONObject:

Order myOrder = OBProvider.getInstance().get(Order.class);
DataToJsonConverter toJsonConverter = OBProvider.getInstance().get(
        DataToJsonConverter.class);
JSONObject json = toJsonConverterr.toJsonObject(myOrder, DataResolvingMode.FULL);
Steps To ReproduceIn Description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 00241043.0MP27 closedalostale Unnecessary evaluation of computed columns 
related to defect 0025773 closedalostale Error thrown in web services if the request includes a field that references a computed column 

-  Notes
(0064706)
alostale (developer)
2014-03-03 09:10

Regression present since mp27
(0064707)
alostale (developer)
2014-03-03 09:11

It fails when trying to convert to json a newly created object that has not already been persisted in db.
(0064708)
hgbot (developer)
2014-03-03 09:35

Repository: erp/devel/pi
Changeset: 3cdbbbf58782679e31fba0d2bf1df2ab8ce8cfa7
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 03 09:30:34 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3cdbbbf58782679e31fba0d2bf1df2ab8ce8cfa7 [^]

fixed bug 25862: NPE serializing to JSON a non persisted Order

  Computed columns is null when object is not persisted yet, it should return
  null instead of failing

---
M src/org/openbravo/base/gen/entity.ftl
---
(0064709)
hgbot (developer)
2014-03-03 09:35

Repository: erp/devel/pi
Changeset: e7a2966e5278e9c112b8aea700275d62970569dc
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 03 09:35:08 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e7a2966e5278e9c112b8aea700275d62970569dc [^]

related to bug 25862: added test case

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
M src-test/org/openbravo/test/dal/ComputedColumnsTest.java
---
(0064710)
hgbot (developer)
2014-03-03 09:41

Repository: erp/devel/pi
Changeset: 52f5288bc3dd89adc2e740ef92df0633475a5e89
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 03 09:40:29 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/52f5288bc3dd89adc2e740ef92df0633475a5e89 [^]

related to bug 25862: removed debug code

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
---
(0064760)
hudsonbot (developer)
2014-03-03 17:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8d1e52794b1e [^]
Maturity status: Test
(0064761)
hudsonbot (developer)
2014-03-03 17:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8d1e52794b1e [^]
Maturity status: Test
(0064762)
hudsonbot (developer)
2014-03-03 17:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8d1e52794b1e [^]
Maturity status: Test
(0065191)
shankarb (developer)
2014-03-15 16:13

Code reviewed and verified in pi changeset 09baf685138e.

- Issue History
Date Modified Username Field Change
2014-02-27 18:45 caristu New Issue
2014-02-27 18:45 caristu Assigned To => AugustoMauch
2014-02-27 18:45 caristu Modules => Core
2014-02-27 18:45 caristu Triggers an Emergency Pack => No
2014-02-27 18:45 caristu Issue Monitored: networkb
2014-02-27 18:46 caristu Regression level => Production - Confirmed Stable
2014-02-27 18:46 caristu Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/7d6d644b9b9e3b9ca55c7be357af7bb86a257263 [^]
2014-02-27 18:46 caristu version => 3.0MP30.3
2014-03-03 09:02 alostale Assigned To AugustoMauch => alostale
2014-03-03 09:02 alostale Relationship added related to 0024104
2014-03-03 09:10 alostale Severity major => minor
2014-03-03 09:10 alostale Note Added: 0064706
2014-03-03 09:11 alostale Note Added: 0064707
2014-03-03 09:35 hgbot Checkin
2014-03-03 09:35 hgbot Note Added: 0064708
2014-03-03 09:35 hgbot Status new => resolved
2014-03-03 09:35 hgbot Resolution open => fixed
2014-03-03 09:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3cdbbbf58782679e31fba0d2bf1df2ab8ce8cfa7 [^]
2014-03-03 09:35 hgbot Checkin
2014-03-03 09:35 hgbot Note Added: 0064709
2014-03-03 09:41 hgbot Checkin
2014-03-03 09:41 hgbot Note Added: 0064710
2014-03-03 09:41 alostale Review Assigned To => shankarb
2014-03-03 09:58 alostale Relationship added related to 0025773
2014-03-03 10:38 alostale Regression date => 2013-07-19
2014-03-03 17:38 hudsonbot Checkin
2014-03-03 17:38 hudsonbot Note Added: 0064760
2014-03-03 17:38 hudsonbot Checkin
2014-03-03 17:38 hudsonbot Note Added: 0064761
2014-03-03 17:38 hudsonbot Checkin
2014-03-03 17:38 hudsonbot Note Added: 0064762
2014-03-15 16:13 shankarb Note Added: 0065191
2014-03-15 16:13 shankarb Status resolved => closed
2014-03-15 16:13 shankarb Fixed in Version => PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker